python poetry

I am following the following link to install RASA on my system: https:但不幸的是,当试图安装依赖关系或以下任何写在Makefile中的诗歌命令时。

$poetry run
$poetry install

我收到以下错误。

enter image description here

好像是虚拟环境的设置有问题,但不知道如何解决。以下是堆栈跟踪。

$ make install
poetry run python -m pip install -U 'pip<20'
The virtual environment found in /home/kamaldeep/.cache/pypoetry/virtualenvs/rasa-LHgLSZoI-py3.6 seems to be broken.
Recreating virtualenv rasa-LHgLSZoI-py3.6 in /home/kamaldeep/.cache/pypoetry/virtualenvs/rasa-LHgLSZoI-py3.6

[CalledProcessError]
Command '['/home/kamaldeep/.cache/pypoetry/virtualenvs/rasa-LHgLSZoI-py3.6/bin/python', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1.
Makefile:43: recipe for target 'install' failed
make: *** [install] Error 1

解决方案:

如果你得到的错误的破碎的虚拟环境,如

The virtual environment found in /home/kamaldeep/.cache/pypoetry/virtualenvs/rasa-LHgLSZoI-py3.7 seems to be broken

然后在相应的python包中安装venv,比如python3.6,python3.5。在我的例子中,我使用的是python3.7。

sudo apt-get install python3.7-venv

另一种方法是禁用虚拟环境

poetry config virtualenvs.create false

给TA打赏
共{{data.count}}人
人已打赏
未分类

PHP bufffer输出minify,而不是textareapre。

2022-9-7 22:33:20

未分类

如何在数据框的两列上使用seq函数?

2022-9-7 22:33:22

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索